Support » Plugin: Widget Logic » [Plugin: Widget Logic] Warning: Illegal offset type w/ WP Shopping Cart Widget

  • Resolved kpahl

    (@kpahl)


    Hi. I love Widget Logic, however, I just installed the WP Shopping Cart plugin recently and when I went to add it’s widget into my sidebar I received this error from Widget Logic:

    Warning: Illegal offset type in /home/content/p/e/r/perplexive/html/lcc2/wp-content/plugins/widget-logic/widget_logic.php on line 223

    Warning: Illegal offset type in isset or empty in /home/content/p/e/r/perplexive/html/lcc2/wp-content/plugins/widget-logic/widget_logic.php on line 227

    I have no clue what this means or how to fix it.

    Any ideas? Thank you very much for your time!

    http://wordpress.org/extend/plugins/widget-logic/

Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Contributor alanft

    (@alanft)

    can you link to the shopping cart plugin so i can try it out

    Plugin Contributor alanft

    (@alanft)

    I added that plugin, and it behaves OK as far as I can see. I hid it with ‘false’, and then made it appear on my own author page with “is_author(‘alan’)”, and all *seems* well.

    i’ll try fiddling with some settings to see if I can force it to misbehave. I assume the error is appearing on the wordpress/wp-admin/widgets.php admin page, yes?

    When I move the WP Shopping Cart side bar widget into the side bar the error can be seen inside of the widget (in admin). Hope that helps.

    Plugin Contributor alanft

    (@alanft)

    you may need to post a screenshot or, in the best of all possible worlds, give me live access to a site that displays this problem – I just don’t see any error. It could be I’m not doing something very basic, or it could be any number of other differences in our WP setups (PHP version and all manner of things) – making it hard to troubleshoot

    are you able to try saving some widget logic code at all in this widget? what about in widget admin page’s “accessibility mode”? (click screen options on widget admin page and you get a non-AJAX way to edit widgets)

    Plugin Contributor alanft

    (@alanft)

    ah, i think that might be a clash between widget logic and dynamic widgets – i think you should try using just one or the other, as I think they clash

    Hummm…..didn’t even realize that was installed and I don’t use it (I like yours). I’ll uninstall and see what happens. Will let you know. Thanks!

    Deactivated the Dynamic Widgets plugin and that seemed to have worked. Will let you know if I have another issue, but from what I can see it seems to be working!!! Yay!!! Thank you sooooo much for your help! Love the widget…it’s been so helpful! =)

    Plugin Contributor alanft

    (@alanft)

    hurrah 🙂

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘[Plugin: Widget Logic] Warning: Illegal offset type w/ WP Shopping Cart Widget’ is closed to new replies.